Bug 802377 - Review Request: perl-Env-Sanctify - Lexically scoped sanctification of %ENV
Summary: Review Request: perl-Env-Sanctify - Lexically scoped sanctification of %ENV
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 803057
TreeView+ depends on / blocked
 
Reported: 2012-03-12 12:18 UTC by Paul Howarth
Modified: 2012-03-30 18:08 UTC (History)
3 users (show)

Fixed In Version: perl-Env-Sanctify-1.06-1.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-30 18:08:25 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Paul Howarth 2012-03-12 12:18:01 UTC
Spec URL:
http://subversion.city-fan.org/repos/cfo-repo/perl-Env-Sanctify/branches/fedora/perl-Env-Sanctify.spec

SRPM URL:
http://www.city-fan.org/~paul/extras/perl-Env-Sanctify/perl-Env-Sanctify-1.04-1.fc18.src.rpm

Description:
Env::Sanctify is a module that provides lexically-scoped manipulation and
sanctification of %ENV. You can specify that it alter or add additional
environment variables or remove existing ones according to a list of matching
regexen. You can then either restore the environment back manually or let the
object fall out of scope, which automagically restores. It's useful for
manipulating the environment that forked processes and sub-processes will
inherit.

Comment 1 Petr Šabata 2012-03-12 13:37:57 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Invalid buildroot found:
     %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
[-]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.
     (FSF address)
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/contyk/src/review/802377/Env-Sanctify-1.04.tar.gz :
  MD5SUM this package     : 304b28041d75f64da4551e4db238d354
  MD5SUM upstream package : 304b28041d75f64da4551e4db238d354
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
     (Patched)
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
     (It's obvious)
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[-]: SHOULD Spec use %global instead of %define.

Issues:
TODO: There are some missing build dependencies (required by bundled Module::Install), namely base, Cwd, File::Path, and File::Spec.  The package builds without them at the moment, though.
NOTE: I guess you're going to maintain EPEL branches as well so the usual BuildRoot/%defattr/%clean stuff is okay.
TODO: Incorrent FSF address in the licence. Notify upstream, please.

No blockers.  Approving.

Generated by fedora-review 0.2.0git
External plugins:

Comment 2 Paul Howarth 2012-03-12 14:11:09 UTC
(In reply to comment #1)
> TODO: There are some missing build dependencies (required by bundled
> Module::Install), namely base, Cwd, File::Path, and File::Spec.  The package
> builds without them at the moment, though.

Added in -2.

> NOTE: I guess you're going to maintain EPEL branches as well so the usual
> BuildRoot/%defattr/%clean stuff is okay.

Indeed, although since EL-4 is now EOL I'm leaving out %defattr as that's not been needed since before rpm version 4.4.

> TODO: Incorrent FSF address in the licence. Notify upstream, please.

Done: https://rt.cpan.org/Ticket/Display.html?id=75714

> No blockers.  Approving.

Thanks Petr.

Comment 3 Paul Howarth 2012-03-12 14:13:10 UTC
New Package SCM Request
=======================
Package Name: perl-Env-Sanctify
Short Description: Lexically scoped sanctification of %ENV
Owners: pghmcfc
Branches: EL-5 EL-6 F-15 F-16 F-17
InitialCC: perl-sig

Comment 4 Gwyn Ciesla 2012-03-12 14:16:50 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2012-03-12 15:14:03 UTC
perl-Env-Sanctify-1.04-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Env-Sanctify-1.04-2.el6

Comment 6 Fedora Update System 2012-03-12 15:14:17 UTC
perl-Env-Sanctify-1.04-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Env-Sanctify-1.04-2.fc16

Comment 7 Fedora Update System 2012-03-12 15:14:48 UTC
perl-Env-Sanctify-1.04-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Env-Sanctify-1.04-2.fc15

Comment 8 Fedora Update System 2012-03-12 15:15:00 UTC
perl-Env-Sanctify-1.04-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Env-Sanctify-1.04-2.fc17

Comment 9 Fedora Update System 2012-03-12 15:15:12 UTC
perl-Env-Sanctify-1.04-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Env-Sanctify-1.04-2.el5

Comment 10 Fedora Update System 2012-03-21 18:56:00 UTC
perl-Env-Sanctify-1.06-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 11 Fedora Update System 2012-03-26 03:56:18 UTC
perl-Env-Sanctify-1.06-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 12 Fedora Update System 2012-03-26 04:00:35 UTC
perl-Env-Sanctify-1.06-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Fedora Update System 2012-03-26 18:00:02 UTC
perl-Env-Sanctify-1.06-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 14 Fedora Update System 2012-03-26 18:00:56 UTC
perl-Env-Sanctify-1.06-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 15 Fedora Update System 2012-03-30 18:05:39 UTC
perl-Env-Sanctify-1.06-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 16 Fedora Update System 2012-03-30 18:07:02 UTC
perl-Env-Sanctify-1.06-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.